'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AtomValidationTextTypes = undefined;

var _values = require('babel-runtime/core-js/object/values');

var _values2 = _interopRequireDefault(_values);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BASE_CLASS = 'sui-AtomValidationText';
var TYPES = {
  SUCCESS: 'success',
  ERROR: 'error'
};

var getClassNames = function getClassNames(type) {
  return (0, _classnames2.default)(BASE_CLASS, BASE_CLASS + '--' + type);
};

var AtomValidationText = function AtomValidationText(_ref) {
  var type = _ref.type,
      text = _ref.text;

  return _react2.default.createElement(
    'span',
    { className: getClassNames(type) },
    text
  );
};

AtomValidationText.displayName = 'AtomValidationText';

AtomValidationText.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  type: _propTypes2.default.oneOf((0, _values2.default)(TYPES)).isRequired,
  text: _propTypes2.default.string.isRequired
} : {} : {};

exports.default = AtomValidationText;
exports.AtomValidationTextTypes = TYPES;